import { Component } from '@angular/core';
import { NavController } from '@ionic/angular';

@Component({
  selector: 'app-tab3',
  templateUrl: './tab3.page.html',
  styleUrls: ['./tab3.page.scss'],
})
export class Tab3Page {
  userInfo: any = {
    username: 'Faraday',
    nickname: '点击查看个人主页',
    avatarUrl: '/assets/images/avatar.png',
    followers: 10086,
    following: 129,
    favorites: 7,
    recentViews: 2917
  };

  constructor(private navCtrl: NavController) {}
  //编辑资料
  navigateToEditInfo() {
    this.navCtrl.navigateForward('/edit-info');
  }

  //新增，登录
  navigateToLogin() {
    this.navCtrl.navigateForward('/login');
  }

  goToBookshelf() {
    this.navCtrl.navigateForward('/bookshelf');
  }

  goToWallet() {
    this.navCtrl.navigateForward('/wallet');
  }

  goToActivitySquare() {
    this.navCtrl.navigateForward('/activity-square');
  }

  goToHelpAndSupport() {
    this.navCtrl.navigateForward('/help-and-support');
  }
}
